## rpavlik-cmake-modules 0.0~git20231201.03239c6

=== nested_targets/DCubed/CMakeLists.txt ===
# - Build the DCubed wrapper libraries as a part of your solution.
#
# Original Author:
# 2009-2010 Rylie Pavlik <rylie@ryliepavlik.com>
# https://ryliepavlik.com/
# Iowa State University HCI Graduate Program/VRAC
#
# Copyright 2009-2010, Iowa State University
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
# SPDX-License-Identifier: BSL-1.0


include_directories("${DCUBED_CORE_INCLUDE_DIR}/d3e_inc" "${DCUBED_WRAPPER_INCLUDE_DIR}")

include_directories(${PARASOLID_INCLUDE_DIRS})
if(MSVC)
	add_definitions(/D_CRT_SECURE_NO_DEPRECATE /arch:SSE2 /openmp /D_AFXDLL /DNDEBUG)
endif()
if(WIN32)
	add_definitions(/DDCM_NT /DWIN32 /D_WINDOWS)
endif()
add_definitions(/DD3EW_DUMMY_HLM)

if(DCUBED_WRAPPER_d3ew_scene_LIBRARY STREQUAL "dcubed_wrapper_d3ew_scene_nested_target")
	add_subdirectory(d3ew_scene)
endif()

if(DCUBED_WRAPPER_d3ew_p_LIBRARY STREQUAL "dcubed_wrapper_d3ew_p_nested_target")
	add_subdirectory(d3ew_p)
endif()

=== nested_targets/OpenHaptics/CMakeLists.txt ===
# - Build the OpenHaptics utility libraries as a part of your solution.
#
# Original Author:
# 2009-2010 Rylie Pavlik <rylie@ryliepavlik.com>
# https://ryliepavlik.com/
# Iowa State University HCI Graduate Program/VRAC
#
# Copyright 2009-2010, Iowa State University
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
# SPDX-License-Identifier: BSL-1.0

if(WIN32)
	# Work around bug in library at least <= 3.10
	add_definitions(-DWIN32)
endif()
include_directories("${HDAPI_HDU_INCLUDE_DIR}"
	"${HDAPI_INCLUDE_DIR}"
	"${HLAPI_HLU_INCLUDE_DIR}"
	"${HLAPI_INCLUDE_DIR}")

if(HDAPI_HDU_LIBRARY STREQUAL "openhaptics_hdu_nested_target")
	add_library(openhaptics_hdu_nested_target
		STATIC
		EXCLUDE_FROM_ALL
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduBoundBox.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduError.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduGenericMatrix.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hdu.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduHapticDevice.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduLine.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduLineSegment.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduMath.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduMatrix.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduPlane.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduQuaternion.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduRecord.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduVector.h"
		"${HDAPI_HDU_SOURCE_DIR}/hdu.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduAfx.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduAfx.h"
		"${HDAPI_HDU_SOURCE_DIR}/hduDecompose.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduDecompose.h"
		"${HDAPI_HDU_SOURCE_DIR}/hduError.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduHapticDevice.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduLine.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduLineSegment.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduMatrix.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduPlane.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduQuaternion.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduRecord.cpp")
	target_link_libraries(openhaptics_hdu_nested_target ${HDAPI_LIBRARY})
	set_property(TARGET
		openhaptics_hdu_nested_target
		PROPERTY
		PROJECT_LABEL
		"OpenHaptics HDU Library")

	if(MSVC)
		# Disable warnings - no sense in warning about Sensable's potential bugs.
		set_property(TARGET
			openhaptics_hdu_nested_target
			PROPERTY
			COMPILE_FLAGS
			"/wd4189 /wd4701")
	endif()
endif()


if(HLAPI_HLU_LIBRARY STREQUAL "openhaptics_hlu_nested_target")
	add_library(openhaptics_hlu_nested_target
		STATIC
		EXCLUDE_FROM_ALL
		"${HLAPI_HLU_INCLUDE_DIR}/HLU/hlu.h"
		"${HLAPI_HLU_SOURCE_DIR}/hlu.cpp"
		"${HLAPI_HLU_SOURCE_DIR}/hluAfx.cpp"
		"${HLAPI_HLU_SOURCE_DIR}/hluAfx.h")
	target_link_libraries(openhaptics_hlu_nested_target ${HLAPI_LIBRARY} ${HDAPI_LIBRARY})

	set_property(TARGET
		openhaptics_hlu_nested_target
		PROPERTY
		PROJECT_LABEL
		"OpenHaptics HLU Library")

	if(MSVC)
		# Disable warnings - no sense in warning about Sensable's potential bugs.
		set_property(TARGET
			openhaptics_hlu_nested_target
			APPEND
			PROPERTY
			COMPILE_FLAGS
			/wd4189)
	endif()
endif()

=== nested_targets/Parasolid/CMakeLists.txt ===
# - Build the Parasolid utility libraries as a part of your solution.
#
# Original Author:
# 2009-2010 Rylie Pavlik <rylie@ryliepavlik.com>
# https://ryliepavlik.com/
# Iowa State University HCI Graduate Program/VRAC
#
# Copyright 2009-2010, Iowa State University
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
# SPDX-License-Identifier: BSL-1.0


if(PARASOLID_fg_LIBRARY STREQUAL "parasolid_fg_nested_target")
	get_filename_component(_fgdir "${PARASOLID_FG_C}" PATH)
	include_directories("${_fgdir}")
	add_library(parasolid_fg_nested_target
		STATIC
		EXCLUDE_FROM_ALL
		"${PARASOLID_FG_C}")

	set_property(TARGET
		parasolid_fg_nested_target
		PROPERTY
		COMPILE_DEFINITIONS
		_CRT_SECURE_NO_DEPRECATE)
	if(MSVC)
		set_property(TARGET
			parasolid_fg_nested_target
			PROPERTY
			COMPILE_FLAGS
			"/Gs /GF /GS- /fp:fast")
	endif()

	set_property(TARGET
		parasolid_fg_nested_target
		PROPERTY
		PROJECT_LABEL
		"Parasolid Foreign Geometry Example Library")

endif()


if(PARASOLID_frustrum_LIBRARY
	STREQUAL
	"parasolid_frustrum_nested_target")
	get_filename_component(_frustrumdir "${PARASOLID_FRUSTRUM_C}" PATH)
	include_directories("${_frustrumdir}")
	add_library(parasolid_frustrum_nested_target
		STATIC
		EXCLUDE_FROM_ALL
		"${PARASOLID_FRUSTRUM_C}")

	set_property(TARGET
		parasolid_frustrum_nested_target
		PROPERTY
		COMPILE_DEFINITIONS
		_CRT_SECURE_NO_DEPRECATE)
	if(MSVC)
		set_property(TARGET
			parasolid_frustrum_nested_target
			PROPERTY
			COMPILE_FLAGS
			"/Gs /GF /GS- /fp:fast")
	endif()

	set_property(TARGET
		parasolid_frustrum_nested_target
		PROPERTY
		PROJECT_LABEL
		"Parasolid Frustrum Example Library")

endif()

=== nested_targets/cutil/CMakeLists.txt ===
# CMake cross-platform build system
# 2009-2010 Rylie Pavlik <rylie@ryliepavlik.com>
# https://ryliepavlik.com/
# Iowa State University HCI Graduate Program/VRAC
#
# Copyright 2009-2010, Iowa State University
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
# SPDX-License-Identifier: BSL-1.0


###
# Build the project
###

include_directories("${CUTIL_ROOT_DIR}/inc")
set(SOURCES
	"${CUTIL_ROOT_DIR}/src/bank_checker.cpp"
	"${CUTIL_ROOT_DIR}/src/cmd_arg_reader.cpp"
	"${CUTIL_ROOT_DIR}/src/cutil.cpp"
	"${CUTIL_ROOT_DIR}/src/stopwatch.cpp"
	"${CUTIL_ROOT_DIR}/src/multithreading.cpp")
	
if(WIN32)
	list(APPEND SOURCES
		"${CUDA_SDK_ROOT_DIR}/C/common/src/stopwatch_win.cpp")
	add_definitions(-DWIN32 -D_WINDOWS -DBUILD_DLL)
	set(TYPE SHARED)
	
else()
	list(APPEND SOURCES
		"${CUTIL_ROOT_DIR}/src/stopwatch_linux.cpp")
	set(TYPE STATIC)
	
endif()

cuda_add_library(cutil ${TYPE} EXCLUDE_FROM_ALL ${SOURCES})

set(CUTIL_INCLUDE_DIRS "${CUTIL_ROOT_DIR}/inc" "${CUDA_INCLUDE_DIRS}" PARENT_SCOPE)
set(CUTIL_LIBRARIES cutil PARENT_SCOPE)

=== nested_targets/DCubed/d3ew_p/CMakeLists.txt ===
# - Build the DCubed wrapper library d3ew_p as a part of your solution.
#
# Original Author:
# 2009-2010 Rylie Pavlik <rylie@ryliepavlik.com>
# https://ryliepavlik.com/
# Iowa State University HCI Graduate Program/VRAC
#
# Copyright 2009-2010, Iowa State University
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
# SPDX-License-Identifier: BSL-1.0


set(SOURCES)
foreach(filename d3ew_p.rc
	p_dll.cpp
	p_dll.hxx
	p_dump.cpp
	p_frustrum.cpp
	p_gate.cpp
	p_gate.hxx
	p_lib.cpp
	p_modeller.cpp
	p_new.hxx
	p_rollmark.cpp
	p_utils.cpp
	p_utils.hxx
	res_defs.hxx)
	list(APPEND SOURCES "${DCUBED_WRAPPER_INCLUDE_DIR}/d3ew_p/${filename}")
endforeach()
add_library(dcubed_wrapper_d3ew_p_nested_target
	STATIC
	EXCLUDE_FROM_ALL
	${SOURCES})
target_link_libraries(dcubed_wrapper_d3ew_p_nested_target ${DCUBED_LIBRARIES} ${PARASOLID_LIBRARIES} "${DCUBED_WRAPPER_d3ew_scene_LIBRARY}")

set_property(TARGET
	dcubed_wrapper_d3ew_p_nested_target
	PROPERTY
	PROJECT_LABEL
	"DCubed d3ew_p Wrapper Library")

=== nested_targets/DCubed/d3ew_scene/CMakeLists.txt ===
# - Build the DCubed wrapper library d3ew_scene as a part of your solution.
#
# Original Author:
# 2009-2010 Rylie Pavlik <rylie@ryliepavlik.com>
# https://ryliepavlik.com/
# Iowa State University HCI Graduate Program/VRAC
#
# Copyright 2009-2010, Iowa State University
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
# SPDX-License-Identifier: BSL-1.0


set(SOURCES)
foreach(filename ansi.hxx
	body.hxx
	d3ew_clap_data.cpp
	d3ew_clap_data.hxx
	d3ew_new.hxx
	d3ew_stack.cpp
	d3ew_stack.hxx
	debload.hxx
	edge.cpp
	edge.hxx
	ehlc_timer.cpp
	ehlc_timer.hxx
	face.cpp
	face.hxx
	frustum.cpp
	frustum.hxx
	hldeb.hxx
	hljournal.hxx
	hlm_cdm_dummies.cpp
	hltable.hxx
	hltabledef.hxx
	journalw.cpp
	journalw.hxx
	modeller.cpp
	modeller.hxx
	nowarn.hxx
	scene.cpp
	scene.hxx
	scene_build.cpp
	scene_edge.cpp
	scene_face.cpp
	scene_misc.cpp
	scene_node.cpp
	scene_node.hxx
	scene_table.cpp
	scene_table.hxx
	secure_c.hxx
	segment.cpp
	segment.hxx
	table_dec.hxx
	wrapper.cpp
	wrapper_new.cpp)
	list(APPEND SOURCES "${DCUBED_WRAPPER_INCLUDE_DIR}/d3ew_scene/${filename}")
endforeach()
add_library(dcubed_wrapper_d3ew_scene_nested_target
	STATIC
	EXCLUDE_FROM_ALL
	${SOURCES})

set_property(TARGET
	dcubed_wrapper_d3ew_scene_nested_target
	PROPERTY
	PROJECT_LABEL
	"DCubed d3ew_scene Wrapper Library")

=== debian/changelog ===
rpavlik-cmake-modules (0.0~git20231201.03239c6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 06:21:43 -0400

rpavlik-cmake-modules (0.0~git20231201.03239c6-1) unstable; urgency=medium

  * Initial release. (Closes: #1073288)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sun, 16 Jun 2024 15:33:44 +0800

=== debian/control ===
Source: rpavlik-cmake-modules
Section: devel
Priority: optional
Maintainer: Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/rpavlik/cmake-modules
Vcs-Browser: https://salsa.debian.org/debian/rpavlik-cmake-modules
Vcs-Git: https://salsa.debian.org/debian/rpavlik-cmake-modules.git

Package: rpavlik-cmake-modules
Architecture: all
Depends:
 ${misc:Depends},
Description: Rylie's CMake Modules Collection
 This is a collection of CMake modules that Rylie Pavlik produced during the
 course of a variety of software development. There are a number of find
 modules, especially for virtual reality and physical simulation packages, some
 utility modules of more general interest, and some patches or workarounds for
 (very old versions of) CMake itself.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/rpavlik/cmake-modules.git \
  HEAD debian
